% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/espn_wbb_data.R
\name{espn_wbb_rankings}
\alias{espn_wbb_rankings}
\title{Get women's college basketball AP and Coaches poll rankings}
\usage{
espn_wbb_rankings()
}
\value{
Returns a tibble\tabular{ll}{
   col_name \tab types \cr
   id \tab integer \cr
   name \tab character \cr
   short_name \tab character \cr
   type \tab character \cr
   headline \tab character \cr
   short_headline \tab character \cr
   current \tab integer \cr
   previous \tab integer \cr
   points \tab numeric \cr
   first_place_votes \tab integer \cr
   trend \tab character \cr
   date \tab character \cr
   last_updated \tab character \cr
   record_summary \tab character \cr
   team_id \tab integer \cr
   team_uid \tab character \cr
   team_location \tab character \cr
   team_name \tab character \cr
   team_nickname \tab character \cr
   team_abbreviation \tab character \cr
   team_color \tab character \cr
   team_logo \tab character \cr
   occurrence_number \tab integer \cr
   occurrence_type \tab character \cr
   occurrence_last \tab logical \cr
   occurrence_value \tab character \cr
   occurrence_display_value \tab character \cr
   season_year \tab integer \cr
   season_start_date \tab character \cr
   season_end_date \tab character \cr
   season_display_name \tab character \cr
   season_type_type \tab integer \cr
   season_type_name \tab character \cr
   season_type_abbreviation \tab character \cr
   first_occurrence_type \tab character \cr
   first_occurrence_value \tab character \cr
}
}
\description{
Get women's college basketball AP and Coaches poll rankings
}
\examples{
# Get current AP and Coaches Poll rankings
\donttest{
  try(espn_wbb_rankings())
}
}
\seealso{
Other ESPN WBB Functions: 
\code{\link{espn_wbb_conferences}()},
\code{\link{espn_wbb_game_all}()},
\code{\link{espn_wbb_game_rosters}()},
\code{\link{espn_wbb_pbp}()},
\code{\link{espn_wbb_player_box}()},
\code{\link{espn_wbb_player_stats}()},
\code{\link{espn_wbb_scoreboard}()},
\code{\link{espn_wbb_standings}()},
\code{\link{espn_wbb_team_box}()},
\code{\link{espn_wbb_team_stats}()},
\code{\link{espn_wbb_teams}()}
}
\author{
Saiem Gilani
}
\concept{ESPN WBB Functions}
\keyword{Rankings}
\keyword{WBB}
