% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/espn_wbb_data.R
\name{espn_wbb_teams}
\alias{espn_wbb_teams}
\title{Get ESPN women's college basketball team names and ids}
\usage{
espn_wbb_teams(year = most_recent_wbb_season())
}
\arguments{
\item{year}{Either numeric or character (YYYY)}
}
\value{
Returns a teams infomation data frame\tabular{ll}{
   col_name \tab types \cr
   team_id \tab integer \cr
   abbreviation \tab character \cr
   display_name \tab character \cr
   short_name \tab character \cr
   mascot \tab character \cr
   nickname \tab character \cr
   team \tab character \cr
   color \tab character \cr
   alternate_color \tab character \cr
   logo \tab character \cr
   logo_dark \tab character \cr
   href \tab character \cr
   conference_url \tab character \cr
   group_id \tab integer \cr
   conference_short_name \tab character \cr
   conference_uid \tab character \cr
   conference_name \tab character \cr
   conference_logo \tab character \cr
   parent_group_id \tab integer \cr
   conference_id \tab integer \cr
}
}
\description{
Get ESPN women's college basketball team names and ids
}
\examples{
\donttest{
  try(espn_wbb_teams())
}
}
\seealso{
Other ESPN WBB Functions: 
\code{\link{espn_wbb_conferences}()},
\code{\link{espn_wbb_game_all}()},
\code{\link{espn_wbb_game_rosters}()},
\code{\link{espn_wbb_pbp}()},
\code{\link{espn_wbb_player_box}()},
\code{\link{espn_wbb_player_stats}()},
\code{\link{espn_wbb_rankings}()},
\code{\link{espn_wbb_scoreboard}()},
\code{\link{espn_wbb_standings}()},
\code{\link{espn_wbb_team_box}()},
\code{\link{espn_wbb_team_stats}()}
}
\author{
Saiem Gilani
}
\concept{ESPN WBB Functions}
\keyword{Teams}
\keyword{WBB}
