% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_boxscore.R
\name{wnba_boxscoreadvancedv2}
\alias{wnba_boxscoreadvancedv2}
\title{\strong{Get WNBA Stats API Boxscore Advanced V2}}
\usage{
wnba_boxscoreadvancedv2(
  game_id,
  start_period = 0,
  end_period = 14,
  start_range = 0,
  end_range = 0,
  range_type = 0,
  ...
)
}
\arguments{
\item{game_id}{Game ID}

\item{start_period}{start_period}

\item{end_period}{end_period}

\item{start_range}{start_range}

\item{end_range}{end_range}

\item{range_type}{range_type}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Returns a named list of data frames: PlayerStats, TeamStats

\strong{PlayerStats}\tabular{ll}{
   col_name \tab types \cr
   GAME_ID \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   TEAM_CITY \tab character \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   NICKNAME \tab character \cr
   START_POSITION \tab character \cr
   COMMENT \tab character \cr
   MIN \tab character \cr
   E_OFF_RATING \tab character \cr
   OFF_RATING \tab character \cr
   E_DEF_RATING \tab character \cr
   DEF_RATING \tab character \cr
   E_NET_RATING \tab character \cr
   NET_RATING \tab character \cr
   AST_PCT \tab character \cr
   AST_TOV \tab character \cr
   AST_RATIO \tab character \cr
   OREB_PCT \tab character \cr
   DREB_PCT \tab character \cr
   REB_PCT \tab character \cr
   TM_TOV_PCT \tab character \cr
   EFG_PCT \tab character \cr
   TS_PCT \tab character \cr
   USG_PCT \tab character \cr
   E_USG_PCT \tab character \cr
   E_PACE \tab character \cr
   PACE \tab character \cr
   PACE_PER40 \tab character \cr
   POSS \tab character \cr
   PIE \tab character \cr
}


\strong{TeamStats}\tabular{ll}{
   col_name \tab types \cr
   GAME_ID \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_NAME \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   TEAM_CITY \tab character \cr
   MIN \tab character \cr
   E_OFF_RATING \tab character \cr
   OFF_RATING \tab character \cr
   E_DEF_RATING \tab character \cr
   DEF_RATING \tab character \cr
   E_NET_RATING \tab character \cr
   NET_RATING \tab character \cr
   AST_PCT \tab character \cr
   AST_TOV \tab character \cr
   AST_RATIO \tab character \cr
   OREB_PCT \tab character \cr
   DREB_PCT \tab character \cr
   REB_PCT \tab character \cr
   E_TM_TOV_PCT \tab character \cr
   TM_TOV_PCT \tab character \cr
   EFG_PCT \tab character \cr
   TS_PCT \tab character \cr
   USG_PCT \tab character \cr
   E_USG_PCT \tab character \cr
   E_PACE \tab character \cr
   PACE \tab character \cr
   PACE_PER40 \tab character \cr
   POSS \tab character \cr
   PIE \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API Boxscore Advanced V2}

\strong{Get WNBA Stats API Boxscore Advanced V2}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_boxscoreadvancedv2(game_id = "1022200034")
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Boxscore Functions: 
\code{\link{wnba_boxscorefourfactorsv2}()},
\code{\link{wnba_boxscoremiscv2}()},
\code{\link{wnba_boxscoreplayertrackv2}()},
\code{\link{wnba_boxscorescoringv2}()},
\code{\link{wnba_boxscoresummaryv2}()},
\code{\link{wnba_boxscoretraditionalv2}()},
\code{\link{wnba_boxscoreusagev2}()},
\code{\link{wnba_gamerotation}()},
\code{\link{wnba_hustlestatsboxscore}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Boxscore Functions}
