% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_boxscore_v3.R
\name{wnba_boxscorefourfactorsv3}
\alias{wnba_boxscorefourfactorsv3}
\title{\strong{Get WNBA Stats API Boxscore Four Factors V3}}
\usage{
wnba_boxscorefourfactorsv3(
  game_id = "1022200034",
  start_period = 0,
  end_period = 14,
  start_range = 0,
  end_range = 0,
  range_type = 0,
  ...
)
}
\arguments{
\item{game_id}{Game ID}

\item{start_period}{start_period}

\item{end_period}{end_period}

\item{start_range}{start_range}

\item{end_range}{end_range}

\item{range_type}{range_type}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
A list of data frames:  home_team_player_four_factors,
away_team_player_four_factors, home_team_totals_four_factors,
away_team_totals_four_factors

\strong{home_team_player_four_factors}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   minutes \tab character \cr
   effective_field_goal_percentage \tab numeric \cr
   free_throw_attempt_rate \tab numeric \cr
   team_turnover_percentage \tab numeric \cr
   offensive_rebound_percentage \tab numeric \cr
   opp_effective_field_goal_percentage \tab numeric \cr
   opp_free_throw_attempt_rate \tab numeric \cr
   opp_team_turnover_percentage \tab numeric \cr
   opp_offensive_rebound_percentage \tab numeric \cr
}


\strong{away_team_player_four_factors}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   minutes \tab character \cr
   effective_field_goal_percentage \tab numeric \cr
   free_throw_attempt_rate \tab numeric \cr
   team_turnover_percentage \tab numeric \cr
   offensive_rebound_percentage \tab numeric \cr
   opp_effective_field_goal_percentage \tab numeric \cr
   opp_free_throw_attempt_rate \tab numeric \cr
   opp_team_turnover_percentage \tab numeric \cr
   opp_offensive_rebound_percentage \tab numeric \cr
}


\strong{home_team_totals_four_factors}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   minutes \tab character \cr
   effective_field_goal_percentage \tab numeric \cr
   free_throw_attempt_rate \tab numeric \cr
   team_turnover_percentage \tab numeric \cr
   offensive_rebound_percentage \tab numeric \cr
   opp_effective_field_goal_percentage \tab numeric \cr
   opp_free_throw_attempt_rate \tab numeric \cr
   opp_team_turnover_percentage \tab numeric \cr
   opp_offensive_rebound_percentage \tab numeric \cr
}


\strong{away_team_totals_four_factors}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   minutes \tab character \cr
   effective_field_goal_percentage \tab numeric \cr
   free_throw_attempt_rate \tab numeric \cr
   team_turnover_percentage \tab numeric \cr
   offensive_rebound_percentage \tab numeric \cr
   opp_effective_field_goal_percentage \tab numeric \cr
   opp_free_throw_attempt_rate \tab numeric \cr
   opp_team_turnover_percentage \tab numeric \cr
   opp_offensive_rebound_percentage \tab numeric \cr
}
}
\description{
\strong{Get WNBA Stats API Boxscore Four Factors V3}

\strong{Get WNBA Stats API Boxscore Four Factors V3}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{ wnba_boxscorefourfactorsv3(game_id = "1022200034")
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Boxscore V3 Functions: 
\code{\link{wnba_boxscoreadvancedv3}()},
\code{\link{wnba_boxscorehustlev2}()},
\code{\link{wnba_boxscoremiscv3}()},
\code{\link{wnba_boxscoreplayertrackv3}()},
\code{\link{wnba_boxscorescoringv3}()},
\code{\link{wnba_boxscoretraditionalv3}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Boxscore V3 Functions}
