% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_boxscore.R
\name{wnba_boxscoreplayertrackv2}
\alias{wnba_boxscoreplayertrackv2}
\title{\strong{Get WNBA Stats API Boxscore Player Tracking V2}}
\usage{
wnba_boxscoreplayertrackv2(game_id, ...)
}
\arguments{
\item{game_id}{Game ID}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Returns a named list of data frames: PlayerStats, TeamStats

\strong{PlayerStats}\tabular{ll}{
   col_name \tab types \cr
   GAME_ID \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   TEAM_CITY \tab character \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   START_POSITION \tab character \cr
   COMMENT \tab character \cr
   MIN \tab character \cr
   SPD \tab character \cr
   DIST \tab character \cr
   ORBC \tab character \cr
   DRBC \tab character \cr
   RBC \tab character \cr
   TCHS \tab character \cr
   SAST \tab character \cr
   FTAST \tab character \cr
   PASS \tab character \cr
   AST \tab character \cr
   CFGM \tab character \cr
   CFGA \tab character \cr
   CFG_PCT \tab character \cr
   UFGM \tab character \cr
   UFGA \tab character \cr
   UFG_PCT \tab character \cr
   FG_PCT \tab character \cr
   DFGM \tab character \cr
   DFGA \tab character \cr
   DFG_PCT \tab character \cr
}


\strong{TeamStats}\tabular{ll}{
   col_name \tab types \cr
   GAME_ID \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_NAME \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   TEAM_CITY \tab character \cr
   MIN \tab character \cr
   DIST \tab character \cr
   ORBC \tab character \cr
   DRBC \tab character \cr
   RBC \tab character \cr
   TCHS \tab character \cr
   SAST \tab character \cr
   FTAST \tab character \cr
   PASS \tab character \cr
   AST \tab character \cr
   CFGM \tab character \cr
   CFGA \tab character \cr
   CFG_PCT \tab character \cr
   UFGM \tab character \cr
   UFGA \tab character \cr
   UFG_PCT \tab character \cr
   FG_PCT \tab character \cr
   DFGM \tab character \cr
   DFGA \tab character \cr
   DFG_PCT \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API Boxscore Player Tracking V2}

\strong{Get WNBA Stats API Boxscore Player Tracking V2}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_boxscoreplayertrackv2(game_id = "1022200034")
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Boxscore Functions: 
\code{\link{wnba_boxscoreadvancedv2}()},
\code{\link{wnba_boxscorefourfactorsv2}()},
\code{\link{wnba_boxscoremiscv2}()},
\code{\link{wnba_boxscorescoringv2}()},
\code{\link{wnba_boxscoresummaryv2}()},
\code{\link{wnba_boxscoretraditionalv2}()},
\code{\link{wnba_boxscoreusagev2}()},
\code{\link{wnba_gamerotation}()},
\code{\link{wnba_hustlestatsboxscore}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Boxscore Functions}
\concept{WNBA Player Tracking Functions}
