% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_boxscore_v3.R
\name{wnba_boxscoreplayertrackv3}
\alias{wnba_boxscoreplayertrackv3}
\title{\strong{Get WNBA Stats API Boxscore Player Tracking V3}}
\usage{
wnba_boxscoreplayertrackv3(
  game_id = "1022200034",
  start_period = 0,
  end_period = 14,
  start_range = 0,
  end_range = 0,
  range_type = 0,
  ...
)
}
\arguments{
\item{game_id}{Game ID}

\item{start_period}{start_period}

\item{end_period}{end_period}

\item{start_range}{start_range}

\item{end_range}{end_range}

\item{range_type}{range_type}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
A list of data frames: home_team_player_player_track, away_team_player_player_track,
home_team_totals_player_track, away_team_totals_player_track

\strong{home_team_player_player_track}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   minutes \tab character \cr
   speed \tab numeric \cr
   distance \tab numeric \cr
   rebound_chances_offensive \tab integer \cr
   rebound_chances_defensive \tab integer \cr
   rebound_chances_total \tab integer \cr
   touches \tab integer \cr
   secondary_assists \tab integer \cr
   free_throw_assists \tab integer \cr
   passes \tab integer \cr
   assists \tab integer \cr
   contested_field_goals_made \tab integer \cr
   contested_field_goals_attempted \tab integer \cr
   contested_field_goal_percentage \tab numeric \cr
   uncontested_field_goals_made \tab integer \cr
   uncontested_field_goals_attempted \tab integer \cr
   uncontested_field_goals_percentage \tab numeric \cr
   field_goal_percentage \tab numeric \cr
   defended_at_rim_field_goals_made \tab integer \cr
   defended_at_rim_field_goals_attempted \tab integer \cr
   defended_at_rim_field_goal_percentage \tab numeric \cr
}


\strong{away_team_player_player_track}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   minutes \tab character \cr
   speed \tab numeric \cr
   distance \tab numeric \cr
   rebound_chances_offensive \tab integer \cr
   rebound_chances_defensive \tab integer \cr
   rebound_chances_total \tab integer \cr
   touches \tab integer \cr
   secondary_assists \tab integer \cr
   free_throw_assists \tab integer \cr
   passes \tab integer \cr
   assists \tab integer \cr
   contested_field_goals_made \tab integer \cr
   contested_field_goals_attempted \tab integer \cr
   contested_field_goal_percentage \tab numeric \cr
   uncontested_field_goals_made \tab integer \cr
   uncontested_field_goals_attempted \tab integer \cr
   uncontested_field_goals_percentage \tab numeric \cr
   field_goal_percentage \tab numeric \cr
   defended_at_rim_field_goals_made \tab integer \cr
   defended_at_rim_field_goals_attempted \tab integer \cr
   defended_at_rim_field_goal_percentage \tab numeric \cr
}


\strong{home_team_totals_player_track}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   minutes \tab character \cr
   distance \tab numeric \cr
   rebound_chances_offensive \tab integer \cr
   rebound_chances_defensive \tab integer \cr
   rebound_chances_total \tab integer \cr
   touches \tab integer \cr
   secondary_assists \tab integer \cr
   free_throw_assists \tab integer \cr
   passes \tab integer \cr
   assists \tab integer \cr
   contested_field_goals_made \tab integer \cr
   contested_field_goals_attempted \tab integer \cr
   contested_field_goal_percentage \tab numeric \cr
   uncontested_field_goals_made \tab integer \cr
   uncontested_field_goals_attempted \tab integer \cr
   uncontested_field_goals_percentage \tab numeric \cr
   field_goal_percentage \tab numeric \cr
   defended_at_rim_field_goals_made \tab integer \cr
   defended_at_rim_field_goals_attempted \tab integer \cr
   defended_at_rim_field_goal_percentage \tab numeric \cr
}


\strong{away_team_totals_player_track}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   minutes \tab character \cr
   distance \tab numeric \cr
   rebound_chances_offensive \tab integer \cr
   rebound_chances_defensive \tab integer \cr
   rebound_chances_total \tab integer \cr
   touches \tab integer \cr
   secondary_assists \tab integer \cr
   free_throw_assists \tab integer \cr
   passes \tab integer \cr
   assists \tab integer \cr
   contested_field_goals_made \tab integer \cr
   contested_field_goals_attempted \tab integer \cr
   contested_field_goal_percentage \tab numeric \cr
   uncontested_field_goals_made \tab integer \cr
   uncontested_field_goals_attempted \tab integer \cr
   uncontested_field_goals_percentage \tab numeric \cr
   field_goal_percentage \tab numeric \cr
   defended_at_rim_field_goals_made \tab integer \cr
   defended_at_rim_field_goals_attempted \tab integer \cr
   defended_at_rim_field_goal_percentage \tab numeric \cr
}
}
\description{
\strong{Get WNBA Stats API Boxscore Player Tracking V3}

\strong{Get WNBA Stats API Boxscore Player Tracking V3}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{ wnba_boxscoreplayertrackv3(game_id = "1022200034")
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Boxscore V3 Functions: 
\code{\link{wnba_boxscoreadvancedv3}()},
\code{\link{wnba_boxscorefourfactorsv3}()},
\code{\link{wnba_boxscorehustlev2}()},
\code{\link{wnba_boxscoremiscv3}()},
\code{\link{wnba_boxscorescoringv3}()},
\code{\link{wnba_boxscoretraditionalv3}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Boxscore V3 Functions}
