% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_cume.R
\name{wnba_cumestatsteam}
\alias{wnba_cumestatsteam}
\title{\strong{Get WNBA Stats API Cumulative Team Stats}}
\usage{
wnba_cumestatsteam(
  game_ids = "1022200018",
  league_id = "10",
  season = "2021-22",
  season_type = "Regular Season",
  team_id = "1611661317",
  ...
)
}
\arguments{
\item{game_ids}{game_ids}

\item{league_id}{league_id}

\item{season}{season}

\item{season_type}{season_type}

\item{team_id}{team_id}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Returns a named list of data frames: GameByGameStats, TotalTeamStats

\strong{GameByGameStats}\tabular{ll}{
   col_name \tab types \cr
   JERSEY_NUM \tab character \cr
   PLAYER \tab character \cr
   PERSON_ID \tab character \cr
   TEAM_ID \tab character \cr
   GP \tab character \cr
   GS \tab character \cr
   ACTUAL_MINUTES \tab character \cr
   ACTUAL_SECONDS \tab character \cr
   FG \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3 \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   FT \tab character \cr
   FTA \tab character \cr
   FT_PCT \tab character \cr
   OFF_REB \tab character \cr
   DEF_REB \tab character \cr
   TOT_REB \tab character \cr
   AST \tab character \cr
   PF \tab character \cr
   DQ \tab character \cr
   STL \tab character \cr
   TURNOVERS \tab character \cr
   BLK \tab character \cr
   PTS \tab character \cr
   MAX_ACTUAL_MINUTES \tab character \cr
   MAX_ACTUAL_SECONDS \tab character \cr
   MAX_REB \tab character \cr
   MAX_AST \tab character \cr
   MAX_STL \tab character \cr
   MAX_TURNOVERS \tab character \cr
   MAX_BLKP \tab character \cr
   MAX_PTS \tab character \cr
   AVG_ACTUAL_MINUTES \tab character \cr
   AVG_ACTUAL_SECONDS \tab character \cr
   AVG_REB \tab character \cr
   AVG_AST \tab character \cr
   AVG_STL \tab character \cr
   AVG_TURNOVERS \tab character \cr
   AVG_BLKP \tab character \cr
   AVG_PTS \tab character \cr
   PER_MIN_REB \tab character \cr
   PER_MIN_AST \tab character \cr
   PER_MIN_STL \tab character \cr
   PER_MIN_TURNOVERS \tab character \cr
   PER_MIN_BLK \tab character \cr
   PER_MIN_PTS \tab character \cr
}


\strong{TotalTeamStats}\tabular{ll}{
   col_name \tab types \cr
   CITY \tab character \cr
   NICKNAME \tab character \cr
   TEAM_ID \tab character \cr
   W \tab character \cr
   L \tab character \cr
   W_HOME \tab character \cr
   L_HOME \tab character \cr
   W_ROAD \tab character \cr
   L_ROAD \tab character \cr
   TEAM_TURNOVERS \tab character \cr
   TEAM_REBOUNDS \tab character \cr
   GP \tab character \cr
   GS \tab character \cr
   ACTUAL_MINUTES \tab character \cr
   ACTUAL_SECONDS \tab character \cr
   FG \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3 \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   FT \tab character \cr
   FTA \tab character \cr
   FT_PCT \tab character \cr
   OFF_REB \tab character \cr
   DEF_REB \tab character \cr
   TOT_REB \tab character \cr
   AST \tab character \cr
   PF \tab character \cr
   STL \tab character \cr
   TOTAL_TURNOVERS \tab character \cr
   BLK \tab character \cr
   PTS \tab character \cr
   AVG_REB \tab character \cr
   AVG_PTS \tab character \cr
   DQ \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API Cumulative Team Stats}

\strong{Get WNBA Stats API Cumulative Team Stats}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_cumestatsteam(game_ids = "1022200018", season = "2021-22", team_id = "1611661317")
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Cume Functions: 
\code{\link{wnba_cumestatsplayergames}()},
\code{\link{wnba_cumestatsplayer}()},
\code{\link{wnba_cumestatsteamgames}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Cume Functions}
