% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_franchise.R
\name{wnba_franchisehistory}
\alias{wnba_franchisehistory}
\title{\strong{Get WNBA Stats API Franchise History}}
\usage{
wnba_franchisehistory(league_id = "10", ...)
}
\arguments{
\item{league_id}{league_id}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Returns a named list of data frames: DefunctTeams, FranchiseHistory

\strong{FranchiseHistory}\tabular{ll}{
   col_name \tab types \cr
   LEAGUE_ID \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_CITY \tab character \cr
   TEAM_NAME \tab character \cr
   START_YEAR \tab character \cr
   END_YEAR \tab character \cr
   YEARS \tab character \cr
   GAMES \tab character \cr
   WINS \tab character \cr
   LOSSES \tab character \cr
   WIN_PCT \tab character \cr
   PO_APPEARANCES \tab character \cr
   DIV_TITLES \tab character \cr
   CONF_TITLES \tab character \cr
   LEAGUE_TITLES \tab character \cr
}


\strong{DefunctTeams}\tabular{ll}{
   col_name \tab types \cr
   LEAGUE_ID \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_CITY \tab character \cr
   TEAM_NAME \tab character \cr
   START_YEAR \tab character \cr
   END_YEAR \tab character \cr
   YEARS \tab character \cr
   GAMES \tab character \cr
   WINS \tab character \cr
   LOSSES \tab character \cr
   WIN_PCT \tab character \cr
   PO_APPEARANCES \tab character \cr
   DIV_TITLES \tab character \cr
   CONF_TITLES \tab character \cr
   LEAGUE_TITLES \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API Franchise History}

\strong{Get WNBA Stats API Franchise History}
}
\details{
\href{https://stats.wnba.com/history/}{Franchise History}

\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_franchisehistory(league_id = '10')
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Franchise Functions: 
\code{\link{wnba_franchiseleaderswrank}()},
\code{\link{wnba_franchiseleaders}()},
\code{\link{wnba_franchiseplayers}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Franchise Functions}
