% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_hustle.R
\name{wnba_leaguehustlestatsplayerleaders}
\alias{wnba_leaguehustlestatsplayerleaders}
\title{\strong{Get WNBA Stats API League Hustle Stats Player Leaders}}
\usage{
wnba_leaguehustlestatsplayerleaders(
  college = "",
  conference = "",
  country = "",
  date_from = "",
  date_to = "",
  division = "",
  draft_pick = "",
  draft_year = "",
  height = "",
  last_n_games = 0,
  league_id = "10",
  location = "",
  month = 0,
  opponent_team_id = 0,
  outcome = "",
  po_round = "",
  per_mode = "Totals",
  player_experience = "",
  player_position = "",
  season = most_recent_wnba_season() - 1,
  season_segment = "",
  season_type = "Regular Season",
  team_id = "",
  vs_conference = "",
  vs_division = "",
  weight = "",
  ...
)
}
\arguments{
\item{college}{college}

\item{conference}{conference}

\item{country}{country}

\item{date_from}{date_from}

\item{date_to}{date_to}

\item{division}{division}

\item{draft_pick}{draft_pick}

\item{draft_year}{draft_year}

\item{height}{height}

\item{last_n_games}{last_n_games}

\item{league_id}{league_id}

\item{location}{location}

\item{month}{month}

\item{opponent_team_id}{opponent_team_id}

\item{outcome}{outcome}

\item{po_round}{po_round}

\item{per_mode}{per_mode}

\item{player_experience}{player_experience}

\item{player_position}{player_position}

\item{season}{season}

\item{season_segment}{season_segment}

\item{season_type}{season_type}

\item{team_id}{team_id}

\item{vs_conference}{vs_conference}

\item{vs_division}{vs_division}

\item{weight}{weight}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Returns a named list of data frames: PlayerChargesDrawnLeaders,
PlayerContestedShotsLeaders, PlayerDeflectionsLeaders, PlayerLooseBallLeaders,
PlayerScreenAssistLeaders, Table5

\strong{PlayerContestedShotsLeaders}\tabular{ll}{
   col_name \tab types \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   AGE \tab character \cr
   RANK \tab character \cr
   CONTESTED_SHOTS \tab character \cr
}


\strong{PlayerChargesDrawnLeaders}\tabular{ll}{
   col_name \tab types \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   AGE \tab character \cr
   RANK \tab character \cr
   CHARGES_DRAWN \tab character \cr
}


\strong{PlayerDeflectionsLeaders}\tabular{ll}{
   col_name \tab types \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   AGE \tab character \cr
   RANK \tab character \cr
   DEFLECTIONS \tab character \cr
}


\strong{PlayerLooseBallLeaders}\tabular{ll}{
   col_name \tab types \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   AGE \tab character \cr
   RANK \tab character \cr
   LOOSE_BALLS_RECOVERED \tab character \cr
}


\strong{PlayerScreenAssistLeaders}\tabular{ll}{
   col_name \tab types \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   AGE \tab character \cr
   RANK \tab character \cr
   SCREEN_ASSISTS \tab character \cr
}


\strong{Table5}\tabular{ll}{
   col_name \tab types \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_ABBREVIATION \tab character \cr
   AGE \tab character \cr
   RANK \tab character \cr
   BOX_OUTS \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API League Hustle Stats Player Leaders}

\strong{Get WNBA Stats API League Hustle Stats Player Leaders}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_leaguehustlestatsplayerleaders(league_id = '10')
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Hustle Functions: 
\code{\link{wnba_hustlestatsboxscore}()},
\code{\link{wnba_leaguehustlestatsplayer}()},
\code{\link{wnba_leaguehustlestatsteamleaders}()},
\code{\link{wnba_leaguehustlestatsteam}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Hustle Functions}
