% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_league.R
\name{wnba_leaguestandingsv3}
\alias{wnba_leaguestandingsv3}
\title{\strong{Get WNBA Stats API League Standings V3}}
\usage{
wnba_leaguestandingsv3(
  league_id = "10",
  season = most_recent_wnba_season(),
  season_type = "Regular Season",
  season_year = "",
  ...
)
}
\arguments{
\item{league_id}{league_id}

\item{season}{season}

\item{season_type}{season_type}

\item{season_year}{season_year}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Return a named list of data frames: Standings

\strong{Standings}\tabular{ll}{
   col_name \tab types \cr
   LeagueID \tab character \cr
   SeasonID \tab character \cr
   TeamID \tab character \cr
   TeamCity \tab character \cr
   TeamName \tab character \cr
   TeamSlug \tab character \cr
   Conference \tab character \cr
   ConferenceRecord \tab character \cr
   PlayoffRank \tab character \cr
   ClinchIndicator \tab character \cr
   Division \tab character \cr
   DivisionRecord \tab character \cr
   DivisionRank \tab character \cr
   WINS \tab character \cr
   LOSSES \tab character \cr
   WinPCT \tab character \cr
   LeagueRank \tab character \cr
   Record \tab character \cr
   HOME \tab character \cr
   ROAD \tab character \cr
   L10 \tab character \cr
   Last10Home \tab character \cr
   Last10Road \tab character \cr
   OT \tab character \cr
   ThreePTSOrLess \tab character \cr
   TenPTSOrMore \tab character \cr
   LongHomeStreak \tab character \cr
   strLongHomeStreak \tab character \cr
   LongRoadStreak \tab character \cr
   strLongRoadStreak \tab character \cr
   LongWinStreak \tab character \cr
   LongLossStreak \tab character \cr
   CurrentHomeStreak \tab character \cr
   strCurrentHomeStreak \tab character \cr
   CurrentRoadStreak \tab character \cr
   strCurrentRoadStreak \tab character \cr
   CurrentStreak \tab character \cr
   strCurrentStreak \tab character \cr
   ConferenceGamesBack \tab character \cr
   DivisionGamesBack \tab character \cr
   ClinchedConferenceTitle \tab character \cr
   ClinchedDivisionTitle \tab character \cr
   ClinchedPlayoffBirth \tab character \cr
   ClinchedPlayIn \tab character \cr
   EliminatedConference \tab character \cr
   EliminatedDivision \tab character \cr
   AheadAtHalf \tab character \cr
   BehindAtHalf \tab character \cr
   TiedAtHalf \tab character \cr
   AheadAtThird \tab character \cr
   BehindAtThird \tab character \cr
   TiedAtThird \tab character \cr
   Score100PTS \tab character \cr
   OppScore100PTS \tab character \cr
   OppOver500 \tab character \cr
   LeadInFGPCT \tab character \cr
   LeadInReb \tab character \cr
   FewerTurnovers \tab character \cr
   PointsPG \tab character \cr
   OppPointsPG \tab character \cr
   DiffPointsPG \tab character \cr
   vsEast \tab character \cr
   vsAtlantic \tab character \cr
   vsCentral \tab character \cr
   vsSoutheast \tab character \cr
   vsWest \tab character \cr
   vsNorthwest \tab character \cr
   vsPacific \tab character \cr
   vsSouthwest \tab character \cr
   Jan \tab character \cr
   Feb \tab character \cr
   Mar \tab character \cr
   Apr \tab character \cr
   May \tab character \cr
   Jun \tab character \cr
   Jul \tab character \cr
   Aug \tab character \cr
   Sep \tab character \cr
   Oct \tab character \cr
   Nov \tab character \cr
   Dec \tab character \cr
   Score_80_Plus \tab character \cr
   Opp_Score_80_Plus \tab character \cr
   Score_Below_80 \tab character \cr
   Opp_Score_Below_80 \tab character \cr
   TotalPoints \tab character \cr
   OppTotalPoints \tab character \cr
   DiffTotalPoints \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API League Standings V3}

\strong{Get WNBA Stats API League Standings V3}
}
\details{
\href{https://www.wnba.com/standings/#?season=2022}{League Standings}

\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_leaguestandingsv3(league_id = '10', season = most_recent_wnba_season() - 1)
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA League Functions: 
\code{\link{wnba_leaguedashlineups}()},
\code{\link{wnba_leaguedashplayerbiostats}()},
\code{\link{wnba_leaguedashplayerclutch}()},
\code{\link{wnba_leaguedashplayershotlocations}()},
\code{\link{wnba_leaguedashplayerstats}()},
\code{\link{wnba_leaguedashteamclutch}()},
\code{\link{wnba_leaguedashteamshotlocations}()},
\code{\link{wnba_leaguedashteamstats}()},
\code{\link{wnba_leaguegamefinder}()},
\code{\link{wnba_leaguegamelog}()},
\code{\link{wnba_leaguelineupviz}()},
\code{\link{wnba_leagueplayerondetails}()},
\code{\link{wnba_leagueseasonmatchups}()},
\code{\link{wnba_shotchartleaguewide}()}
}
\author{
Saiem Gilani
}
\concept{WNBA League Functions}
