% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_player_dash.R
\name{wnba_playerdashboardbyshootingsplits}
\alias{wnba_playerdashboardbyshootingsplits}
\title{\strong{Get WNBA Stats API Player Dashboard by Shooting Splits}}
\usage{
wnba_playerdashboardbyshootingsplits(
  date_from = "",
  date_to = "",
  game_segment = "",
  last_n_games = 0,
  league_id = "10",
  location = "",
  measure_type = "Base",
  month = 0,
  opponent_team_id = 0,
  outcome = "",
  po_round = "",
  pace_adjust = "N",
  per_mode = "Totals",
  period = 0,
  player_id = "1628932",
  plus_minus = "N",
  rank = "N",
  season = most_recent_wnba_season() - 1,
  season_segment = "",
  season_type = "Regular Season",
  shot_clock_range = "",
  vs_conference = "",
  vs_division = "",
  ...
)
}
\arguments{
\item{date_from}{date_from}

\item{date_to}{date_to}

\item{game_segment}{game_segment}

\item{last_n_games}{last_n_games}

\item{league_id}{league_id}

\item{location}{location}

\item{measure_type}{measure_type}

\item{month}{month}

\item{opponent_team_id}{opponent_team_id}

\item{outcome}{outcome}

\item{po_round}{po_round}

\item{pace_adjust}{pace_adjust}

\item{per_mode}{per_mode}

\item{period}{period}

\item{player_id}{player_id}

\item{plus_minus}{plus_minus}

\item{rank}{rank}

\item{season}{season}

\item{season_segment}{season_segment}

\item{season_type}{season_type}

\item{shot_clock_range}{shot_clock_range}

\item{vs_conference}{vs_conference}

\item{vs_division}{vs_division}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Return a named list of data frames: AssistedBy, AssitedShotPlayerDashboard,
OverallPlayerDashboard, Shot5FTPlayerDashboard, Shot8FTPlayerDashboard,
ShotAreaPlayerDashboard, ShotTypePlayerDashboard, ShotTypeSummaryPlayerDashboard

\strong{OverallPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{Shot5FTPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{Shot8FTPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{ShotAreaPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{AssitedShotPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{ShotTypeSummaryPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
}


\strong{ShotTypePlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{AssistedBy}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API Player Dashboard by Shooting Splits}

\strong{Get WNBA Stats API Player Dashboard by Shooting Splits}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{ wnba_playerdashboardbyshootingsplits(player_id = '1628932', season = most_recent_wnba_season() - 1)
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Player Functions: 
\code{\link{wnba_infographicfanduelplayer}()},
\code{\link{wnba_leaguedashplayerbiostats}()},
\code{\link{wnba_leaguedashplayerclutch}()},
\code{\link{wnba_leaguedashplayershotlocations}()},
\code{\link{wnba_leaguedashplayerstats}()},
\code{\link{wnba_leagueplayerondetails}()},
\code{\link{wnba_leagueseasonmatchups}()},
\code{\link{wnba_playerawards}()},
\code{\link{wnba_playercareerbycollegerollup}()},
\code{\link{wnba_playercareerbycollege}()},
\code{\link{wnba_playercareerstats}()},
\code{\link{wnba_playercompare}()},
\code{\link{wnba_playerdashboardbyclutch}()},
\code{\link{wnba_playerdashboardbygamesplits}()},
\code{\link{wnba_playerdashboardbygeneralsplits}()},
\code{\link{wnba_playerdashboardbylastngames}()},
\code{\link{wnba_playerdashboardbyopponent}()},
\code{\link{wnba_playerdashboardbyteamperformance}()},
\code{\link{wnba_playerdashboardbyyearoveryear}()},
\code{\link{wnba_playerestimatedmetrics}()},
\code{\link{wnba_playerfantasyprofilebargraph}()},
\code{\link{wnba_playerfantasyprofile}()},
\code{\link{wnba_playergamelogs}()},
\code{\link{wnba_playergamelog}()},
\code{\link{wnba_playergamestreakfinder}()},
\code{\link{wnba_playerheadshot}()},
\code{\link{wnba_playerindex}()},
\code{\link{wnba_playernextngames}()},
\code{\link{wnba_playerprofilev2}()},
\code{\link{wnba_playervsplayer}()}

Other WNBA Shooting Functions: 
\code{\link{wnba_leaguedashplayershotlocations}()},
\code{\link{wnba_leaguedashteamshotlocations}()},
\code{\link{wnba_shotchartdetail}()},
\code{\link{wnba_shotchartleaguewide}()},
\code{\link{wnba_shotchartlineupdetail}()},
\code{\link{wnba_teamdashboardbyshootingsplits}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Player Functions}
\concept{WNBA Shooting Functions}
