% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_team_dash.R
\name{wnba_teamdashboardbyshootingsplits}
\alias{wnba_teamdashboardbyshootingsplits}
\title{\strong{Get WNBA Stats API Team Dashboard by Shooting Splits}}
\usage{
wnba_teamdashboardbyshootingsplits(
  date_from = "",
  date_to = "",
  game_segment = "",
  last_n_games = 0,
  league_id = "10",
  location = "",
  measure_type = "Base",
  month = 0,
  opponent_team_id = 0,
  outcome = "",
  pace_adjust = "N",
  plus_minus = "N",
  po_round = "",
  per_mode = "Totals",
  period = 0,
  rank = "N",
  season = most_recent_wnba_season(),
  season_segment = "",
  season_type = "Regular Season",
  shot_clock_range = "",
  team_id = "1611661328",
  vs_conference = "",
  vs_division = "",
  ...
)
}
\arguments{
\item{date_from}{date_from}

\item{date_to}{date_to}

\item{game_segment}{game_segment}

\item{last_n_games}{last_n_games}

\item{league_id}{league_id}

\item{location}{location}

\item{measure_type}{measure_type}

\item{month}{month}

\item{opponent_team_id}{opponent_team_id}

\item{outcome}{outcome}

\item{pace_adjust}{pace_adjust}

\item{plus_minus}{plus_minus}

\item{po_round}{po_round}

\item{per_mode}{per_mode}

\item{period}{period}

\item{rank}{rank}

\item{season}{season}

\item{season_segment}{season_segment}

\item{season_type}{season_type}

\item{shot_clock_range}{shot_clock_range}

\item{team_id}{team_id}

\item{vs_conference}{vs_conference}

\item{vs_division}{vs_division}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Return a named list of data frames: AssistedBy,
AssitedShotTeamDashboard, OverallTeamDashboard, Shot5FTTeamDashboard,
Shot8FTTeamDashboard, ShotAreaTeamDashboard, ShotTypeTeamDashboard

\strong{OverallTeamDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{Shot5FTTeamDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{Shot8FTTeamDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{ShotAreaTeamDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{AssitedShotTeamDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{ShotTypeTeamDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{AssistedBy}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API Team Dashboard by Shooting Splits}

\strong{Get WNBA Stats API Team Dashboard by Shooting Splits}
}
\details{
\href{https://www.nba.com/stats/team/1610612749/shooting}{Team Dashboard by Shooting Splits}

\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_teamdashboardbyshootingsplits(team_id = '1611661328', season = most_recent_wnba_season())
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Team Functions: 
\code{\link{wnba_leaguedashteamstats}()},
\code{\link{wnba_teamdashboardbyclutch}()},
\code{\link{wnba_teamdashboardbygamesplits}()},
\code{\link{wnba_teamdashboardbygeneralsplits}()},
\code{\link{wnba_teamdashboardbylastngames}()},
\code{\link{wnba_teamdashboardbyopponent}()},
\code{\link{wnba_teamdashboardbyteamperformance}()},
\code{\link{wnba_teamdashboardbyyearoveryear}()},
\code{\link{wnba_teamdashlineups}()},
\code{\link{wnba_teamdetails}()},
\code{\link{wnba_teamestimatedmetrics}()},
\code{\link{wnba_teamgamelogs}()},
\code{\link{wnba_teamgamelog}()},
\code{\link{wnba_teamgamestreakfinder}()},
\code{\link{wnba_teamhistoricalleaders}()},
\code{\link{wnba_teaminfocommon}()},
\code{\link{wnba_teamplayerdashboard}()},
\code{\link{wnba_teamplayeronoffdetails}()},
\code{\link{wnba_teamplayeronoffsummary}()},
\code{\link{wnba_teams}()},
\code{\link{wnba_teamvsplayer}()},
\code{\link{wnba_teamyearbyyearstats}()}

Other WNBA Shooting Functions: 
\code{\link{wnba_leaguedashplayershotlocations}()},
\code{\link{wnba_leaguedashteamshotlocations}()},
\code{\link{wnba_playerdashboardbyshootingsplits}()},
\code{\link{wnba_shotchartdetail}()},
\code{\link{wnba_shotchartleaguewide}()},
\code{\link{wnba_shotchartlineupdetail}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Shooting Functions}
\concept{WNBA Team Functions}
