% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_team.R
\name{wnba_teamhistoricalleaders}
\alias{wnba_teamhistoricalleaders}
\title{\strong{Get WNBA Stats API Team Historical Leaders}}
\usage{
wnba_teamhistoricalleaders(
  league_id = "10",
  season_id = "22022",
  team_id = "1611661328",
  ...
)
}
\arguments{
\item{league_id}{league_id}

\item{season_id}{season_id}

\item{team_id}{team_id}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Return a named list of data frames: CareerLeadersByTeam

\strong{CareerLeadersByTeam}\tabular{ll}{
   col_name \tab types \cr
   TEAM_ID \tab character \cr
   PTS \tab character \cr
   PTS_PERSON_ID \tab character \cr
   PTS_PLAYER \tab character \cr
   AST \tab character \cr
   AST_PERSON_ID \tab character \cr
   AST_PLAYER \tab character \cr
   REB \tab character \cr
   REB_PERSON_ID \tab character \cr
   REB_PLAYER \tab character \cr
   BLK \tab character \cr
   BLK_PERSON_ID \tab character \cr
   BLK_PLAYER \tab character \cr
   STL \tab character \cr
   STL_PERSON_ID \tab character \cr
   STL_PLAYER \tab character \cr
   SEASON_YEAR \tab character \cr
}
}
\description{
\strong{Get WNBA Stats API Team Historical Leaders}

\strong{Get WNBA Stats API Team Historical Leaders}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_teamhistoricalleaders(team_id = '1611661328')
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Team Functions: 
\code{\link{wnba_leaguedashteamstats}()},
\code{\link{wnba_teamdashboardbyclutch}()},
\code{\link{wnba_teamdashboardbygamesplits}()},
\code{\link{wnba_teamdashboardbygeneralsplits}()},
\code{\link{wnba_teamdashboardbylastngames}()},
\code{\link{wnba_teamdashboardbyopponent}()},
\code{\link{wnba_teamdashboardbyshootingsplits}()},
\code{\link{wnba_teamdashboardbyteamperformance}()},
\code{\link{wnba_teamdashboardbyyearoveryear}()},
\code{\link{wnba_teamdashlineups}()},
\code{\link{wnba_teamdetails}()},
\code{\link{wnba_teamestimatedmetrics}()},
\code{\link{wnba_teamgamelogs}()},
\code{\link{wnba_teamgamelog}()},
\code{\link{wnba_teamgamestreakfinder}()},
\code{\link{wnba_teaminfocommon}()},
\code{\link{wnba_teamplayerdashboard}()},
\code{\link{wnba_teamplayeronoffdetails}()},
\code{\link{wnba_teamplayeronoffsummary}()},
\code{\link{wnba_teams}()},
\code{\link{wnba_teamvsplayer}()},
\code{\link{wnba_teamyearbyyearstats}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Team Functions}
