% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wnba_stats_scoreboard.R
\name{wnba_todays_scoreboard}
\alias{wnba_todays_scoreboard}
\title{\strong{Get WNBA Stats API Today's Scoreboard}}
\usage{
wnba_todays_scoreboard(...)
}
\arguments{
\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Return a data frame with the following columns:\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   game_code \tab character \cr
   game_status \tab integer \cr
   game_status_text \tab character \cr
   period \tab integer \cr
   game_clock \tab character \cr
   game_time_utc \tab character \cr
   game_et \tab character \cr
   regulation_periods \tab integer \cr
   series_game_number \tab logical \cr
   series_text \tab logical \cr
   home_team_id \tab integer \cr
   home_team_name \tab character \cr
   home_team_city \tab character \cr
   home_team_tricode \tab character \cr
   home_wins \tab integer \cr
   home_losses \tab integer \cr
   home_score \tab integer \cr
   home_in_bonus \tab character \cr
   home_timeouts_remaining \tab integer \cr
   home_periods \tab list \cr
   away_team_id \tab integer \cr
   away_team_name \tab character \cr
   away_team_city \tab character \cr
   away_team_tricode \tab character \cr
   away_wins \tab integer \cr
   away_losses \tab integer \cr
   away_score \tab integer \cr
   away_in_bonus \tab character \cr
   away_timeouts_remaining \tab integer \cr
   away_periods \tab list \cr
   home_leaders_person_id \tab integer \cr
   home_leaders_name \tab character \cr
   home_leaders_jersey_num \tab character \cr
   home_leaders_position \tab character \cr
   home_leaders_team_tricode \tab character \cr
   home_leaders_player_slug \tab character \cr
   home_leaders_points \tab integer \cr
   home_leaders_rebounds \tab integer \cr
   home_leaders_assists \tab integer \cr
   away_leaders_person_id \tab integer \cr
   away_leaders_name \tab character \cr
   away_leaders_jersey_num \tab character \cr
   away_leaders_position \tab character \cr
   away_leaders_team_tricode \tab character \cr
   away_leaders_player_slug \tab character \cr
   away_leaders_points \tab integer \cr
   away_leaders_rebounds \tab integer \cr
   away_leaders_assists \tab integer \cr
   pb_odds_team \tab logical \cr
   pb_odds_odds \tab numeric \cr
   pb_odds_suspended \tab integer \cr
}
}
\description{
\strong{Get WNBA Stats API Today's Scoreboard}

\strong{Get WNBA Stats API Today's Scoreboard}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{  wnba_todays_scoreboard()
}\if{html}{\out{</div>}}
}
\seealso{
Other WNBA Schedule Functions: 
\code{\link{wnba_schedule}()},
\code{\link{wnba_scoreboardv2}()},
\code{\link{wnba_scoreboardv3}()},
\code{\link{wnba_scoreboard}()}

Other WNBA Live Functions: 
\code{\link{wnba_live_pbp}()}
}
\author{
Saiem Gilani
}
\concept{WNBA Live Functions}
\concept{WNBA Schedule Functions}
